# ParadisEO-MOEOMovingObjects: FlowShopOpCrossoverQuad Class Reference

# FlowShopOpCrossoverQuad Class Reference

Quadratic crossover operator for flow-shop (modify the both genotypes). More...

`#include <FlowShopOpCrossoverQuad.h>`

Inheritance diagram for FlowShopOpCrossoverQuad:

List of all members.

## Public Member Functions

std::string | className () const
| the class name (used to display statistics)
bool | operator() (FlowShop &_flowshop1, FlowShop &_flowshop2)
| eoQuad crossover - _flowshop1 and _flowshop2 are the (future) offspring, i.e.

## Private Member Functions

FlowShop | generateOffspring (const FlowShop &_parent1, const FlowShop &_parent2, unsigned int _point1, unsigned int _point2)
| generation of an offspring by a 2 points crossover

## Detailed Description

Quadratic crossover operator for flow-shop (modify the both genotypes).

Definition at line 22 of file FlowShopOpCrossoverQuad.h.

## Member Function Documentation

bool FlowShopOpCrossoverQuad::operator() | ( | FlowShop & | _flowshop1,
|  | FlowShop & | _flowshop2 |
| ) |  |  | `[virtual]`

eoQuad crossover - _flowshop1 and _flowshop2 are the (future) offspring, i.e.

_copies_ of the parents

Parameters:

  | _flowshop1 | the first parent
  | _flowshop2 | the second parent

Implements eoBF< FlowShop &, FlowShop &, bool >.

Definition at line 22 of file FlowShopOpCrossoverQuad.cpp.

References generateOffspring(), eoRng::random(), and moeoVector< MOEOObjectiveVector, MOEOFitness, MOEODiversity, GeneType >::value().

FlowShop FlowShopOpCrossoverQuad::generateOffspring | ( | const FlowShop & | _parent1,
|  | const FlowShop & | _parent2,
|  | unsigned int | _point1,
|  | unsigned int | _point2 |
| ) |  |  | `[private]`

generation of an offspring by a 2 points crossover

Parameters:

  | _parent1 | the first parent
  | _parent2 | the second parent
  | _point1 | the first point
  | _point2 | the second point

Definition at line 54 of file FlowShopOpCrossoverQuad.cpp.

Referenced by operator()().

The documentation for this class was generated from the following files:

- FlowShopOpCrossoverQuad.h
- FlowShopOpCrossoverQuad.cpp